-----------------------------------------------------------------------------
--脚本文件：wheeled_vehicle_actor.lua
--功能设计：
--功能开发：page(pk)
--开发时间：2020/07/08 16:09:16
--脚本功能：载具相关脚本，pc端
--修改记录：2020/07/24 17:27:03 lichao7 add SetupVehicleComponent method
-----------------------------------------------------------------------------

local LBaseActor = ImportScript("ugc_common/script/core/actor/actor.lua").LBaseActor;

---@class LBaseWheeledVehicleActor
LBaseWheeledVehicleActor = LBaseWheeledVehicleActor or class("LBaseWheeledVehicleActor", LBaseActor);

function LBaseWheeledVehicleActor:ctor(kActor)
    print("LBaseWheeledVehicleActor:ctor()", self, kActor);
end

function LBaseWheeledVehicleActor:dtor()
    print("LBaseWheeledVehicleActor:dtor()");
end

---@param szMeshPath string
---@return boolean
function LBaseWheeledVehicleActor:SetupVehicle(strResPath)
    return false;
end

---@return boolean
function LBaseWheeledVehicleActor:BeginControl()
    return false;
end

---@return boolean
function LBaseWheeledVehicleActor:EndControl()
    return false;
end

---
--- Set vehicle wheel component asset.
---
--- @param strAsset string
--- @param nCompKey number
--- @return boolean
---
function LBaseWheeledVehicleActor:SetupComponent(strAsset, nCompKey)
    return false;
end